<?php
/*
 * Created on 08.08.2007 - 23:10:43
 *
 * +-----------------------------------------+
 * | PHP version 5.1                         |
 * +-----------------------------------------+
 * | Copyright (c) 2007 Toby				 |
 * +-----------------------------------------+
 * | Authors: Tobias Friebel <TobyF@Web.de>  |
 * +-----------------------------------------+
 *
 * Project: PostingTemplate
 *
 * $Id: PostingTemplateAddListener.class.php 18 2008-01-28 00:26:48Z toby $
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Adds money to users
 *
 * @author Toby
 * @package	com.toby.wbb.userguthaben
 */
class PostingTemplateAddListener implements EventListener
{
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName)
	{
		switch ($className)
		{
			case 'PostAddForm':
				if ($eventObj->board->enablePostingTemplate == 1 && !$eventObj->preview && empty($_FILES))
					$eventObj->text = WCF::getLanguage()->get($eventObj->board->postingTemplate) . $eventObj->text;
			break;

			case 'ThreadAddForm':
				if ($eventObj->board->enableThreadTemplate == 1 && !$eventObj->preview && empty($_FILES))
					$eventObj->text = WCF::getLanguage()->get($eventObj->board->threadTemplate) . $eventObj->text;
			break;
		}
	}
}
?>